/* Generic Filter */

.generic-filter {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 15px;
}

/* Select arrow */
.generic-filter .select {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 234px;
    max-width: 234px;
    height: 48px;
    padding: 5px 15px;
    border: 1px solid #000000;
    font-size: var(--text-xs);
    color: #000000;
    cursor: pointer;
    position: relative;
    background-color: transparent;
}

.generic-filter .select .inner-select {
    display: flex;
}

.generic-filter .select .inner-select p {
    font-size: var(--text-xs);
    color: #000000;
}

.generic-filter .select .inner-select .arrow {
    position: absolute;
    top: 20px;
    right: 17px;
    width: 18px;
    height: 18px;
    background-image: url('/CSM/img/icons/angle-down-black.svg');
    background-size: contain;
    background-repeat: no-repeat;
    transition: transform 0.4s linear;
    pointer-events: none;
}

.generic-filter .select .inner-select .arrow.open {
    transform: translateY(-50%)  rotate(180deg);
}

.generic-filter .select .inner-select .select-vertical-line {
    width: 1px;
    height: 46px;
    background-color: #000000;
    position: absolute;
    top: 0;
    right: 51px;
    z-index: 1;
}

.generic-filter .select .options-container {
    display: flex;
    width: 234px;
    position: absolute;
    top: 51px;
    right: -1px;
    background-color: #FFFFFF;
    box-shadow: 0 0 15px .0001px #8f8f8f69;
    padding-right: 3px;
    z-index: 1;
}

.generic-filter .select .options-container.close {
    display: none;
}

.generic-filter .select .options-container.open {
    display: flex;
}

.generic-filter .select .options {
    display: flex;
    flex-direction: column;
    width: 234px;
    max-height: 350px;
    gap: 25px;
    padding: 25px 10px 20px 15px;
    background-color: #FFFFFF;
    color: #000000;
    overflow-y: auto;
}

/* Scrollbar */
.generic-filter .select .options::-webkit-scrollbar {
    width: 4px;
    margin-right: 10px;
}

.generic-filter .select .options::-webkit-scrollbar-track {
    background: transparent;
}

.generic-filter .select .options::-webkit-scrollbar-thumb {
    background-color: #dee2ec;
    margin-right: 10px;
}

.generic-filter .label-select p {
    font-size: var(--text-xs);
    color: #000000;
    margin: 0;
}